#ifndef SYSCALLS_LINUX
#define SYSCALLS_LINUX

#define READ_NO 0
#define WRITE_NO 1
#define OPEN_NO 2
#define CLOSE_NO 3
#define STAT_NO 4
#define FSTAT_NO 5
#define LSTAT_NO 6
#define POLL_NO 7
#define LSEEK_NO 8
#define MMAP_NO 9
#define MPROTECT_NO 10
#define MUNMAP_NO 11
#define BRK_NO 12
#define RT_SIGACTION_NO 13
#define RT_SIGPROCMASK_NO 14
#define RT_SIGRETURN_NO 15
#define IOCTL_NO 16
#define PREAD_NO64 17
#define PWRITE_NO64 18
#define READV_NO 19
#define WRITEV_NO 20
#define ACCESS_NO 21
#define PIPE_NO 22
#define SELECT_NO 23
#define SCHED_YIELD_NO 24
#define MREMAP_NO 25
#define MSYNC_NO 26
#define MINCORE_NO 27
#define MADVISE_NO 28
#define SHMGET_NO 29
#define SHMAT_NO 30
#define SHMCTL_NO 31
#define DUP_NO 32
#define DUP_NO2 33
#define PAUSE_NO 34
#define NANOSLEEP_NO 35
#define GETITIMER_NO 36
#define ALARM_NO 37
#define SETITIMER_NO 38
#define GETPID_NO 39
#define SENDFILE_NO 40
#define SOCKET_NO 41
#define CONNECT_NO 42
#define ACCEPT_NO 43
#define SENDTO_NO 44
#define RECVFROM_NO 45
#define SENDMSG_NO 46
#define RECVMSG_NO 47
#define SHUTDOWN_NO 48
#define BIND_NO 49
#define LISTEN_NO 50
#define GETSOCKNAME_NO 51
#define GETPEERNAME_NO 52
#define SOCKETPAIR_NO 53
#define SETSOCKOPT_NO 54
#define GETSOCKOPT_NO 55
#define CLONE_NO 56
#define FORK_NO 57
#define VFORK_NO 58
#define EXECVE_NO 59
#define EXIT_NO 60
#define WAIT_NO4 61
#define KILL_NO 62
#define UNAME_NO 63
#define SEMGET_NO 64
#define SEMOP_NO 65
#define SEMCTL_NO 66
#define SHMDT_NO 67
#define MSGGET_NO 68
#define MSGSND_NO 69
#define MSGRCV_NO 70
#define MSGCTL_NO 71
#define FCNTL_NO 72
#define FLOCK_NO 73
#define FSYNC_NO 74
#define FDATASYNC_NO 75
#define TRUNCATE_NO 76
#define FTRUNCATE_NO 77
#define GETDENTS_NO 78
#define GETCWD_NO 79
#define CHDIR_NO 80
#define FCHDIR_NO 81
#define RENAME_NO 82
#define MKDIR_NO 83
#define RMDIR_NO 84
#define CREAT_NO 85
#define LINK_NO 86
#define UNLINK_NO 87
#define SYMLINK_NO 88
#define READLINK_NO 89
#define CHMOD_NO 90
#define FCHMOD_NO 91
#define CHOWN_NO 92
#define FCHOWN_NO 93
#define LCHOWN_NO 94
#define UMASK_NO 95
#define GETTIMEOFDAY_NO 96
#define GETRLIMIT_NO 97
#define GETRUSAGE_NO 98
#define SYSINFO_NO 99
#define TIMES_NO 100
#define PTRACE_NO 101
#define GETUID_NO 102
#define SYSLOG_NO 103
#define GETGID_NO 104
#define SETUID_NO 105
#define SETGID_NO 106
#define GETEUID_NO 107
#define GETEGID_NO 108
#define SETPGID_NO 109
#define GETPPID_NO 110
#define GETPGRP_NO 111
#define SETSID_NO 112
#define SETREUID_NO 113
#define SETREGID_NO 114
#define GETGROUPS_NO 115
#define SETGROUPS_NO 116
#define SETRESUID_NO 117
#define GETRESUID_NO 118
#define SETRESGID_NO 119
#define GETRESGID_NO 120
#define GETPGID_NO 121
#define SETFSUID_NO 122
#define SETFSGID_NO 123
#define GETSID_NO 124
#define CAPGET_NO 125
#define CAPSET_NO 126
#define RT_SIGPENDING_NO 127
#define RT_SIGTIMEDWAIT_NO 128
#define RT_SIGQUEUEINFO_NO 129
#define RT_SIGSUSPEND_NO 130
#define SIGALTSTACK_NO 131
#define UTIME_NO 132
#define MKNOD_NO 133
#define USELIB_NO 134
#define PERSONALITY_NO 135
#define USTAT_NO 136
#define STATFS_NO 137
#define FSTATFS_NO 138
#define SYSFS_NO 139
#define GETPRIORITY_NO 140
#define SETPRIORITY_NO 141
#define SCHED_SETPARAM_NO 142
#define SCHED_GETPARAM_NO 143
#define SCHED_SETSCHEDULER_NO 144
#define SCHED_GETSCHEDULER_NO 145
#define SCHED_GET_PRIORITY_MAX_NO 146
#define SCHED_GET_PRIORITY_MIN_NO 147
#define SCHED_RR_GET_INTERVAL_NO 148
#define MLOCK_NO 149
#define MUNLOCK_NO 150
#define MLOCKALL_NO 151
#define MUNLOCKALL_NO 152
#define VHANGUP_NO 153
#define MODIFY_LDT_NO 154
#define PIVOT_ROOT_NO 155
#define _SYSCTL_NO 156
#define PRCTL_NO 157
#define ARCH_PRCTL_NO 158
#define ADJTIMEX_NO 159
#define SETRLIMIT_NO 160
#define CHROOT_NO 161
#define SYNC_NO 162
#define ACCT_NO 163
#define SETTIMEOFDAY_NO 164
#define MOUNT_NO 165
#define UMOUNT_NO2 166
#define SWAPON_NO 167
#define SWAPOFF_NO 168
#define REBOOT_NO 169
#define SETHOSTNAME_NO 170
#define SETDOMAINNAME_NO 171
#define IOPL_NO 172
#define IOPERM_NO 173
#define CREATE_MODULE_NO 174
#define INIT_MODULE_NO 175
#define DELETE_MODULE_NO 176
#define GET_KERNEL_SYMS_NO 177
#define QUERY_MODULE_NO 178
#define QUOTACTL_NO 179
#define NFSSERVCTL_NO 180
#define GETPMSG_NO 181
#define PUTPMSG_NO 182
#define AFS_SYSCALL_NO 183
#define TUXCALL_NO 184
#define SECURITY_NO 185
#define GETTID_NO 186
#define READAHEAD_NO 187
#define SETXATTR_NO 188
#define LSETXATTR_NO 189
#define FSETXATTR_NO 190
#define GETXATTR_NO 191
#define LGETXATTR_NO 192
#define FGETXATTR_NO 193
#define LISTXATTR_NO 194
#define LLISTXATTR_NO 195
#define FLISTXATTR_NO 196
#define REMOVEXATTR_NO 197
#define LREMOVEXATTR_NO 198
#define FREMOVEXATTR_NO 199
#define TKILL_NO 200
#define TIME_NO 201
#define FUTEX_NO 202
#define SCHED_SETAFFINITY_NO 203
#define SCHED_GETAFFINITY_NO 204
#define SET_THREAD_AREA_NO 205
#define IO_SETUP_NO 206
#define IO_DESTROY_NO 207
#define IO_GETEVENTS_NO 208
#define IO_SUBMIT_NO 209
#define IO_CANCEL_NO 210
#define GET_THREAD_AREA_NO 211
#define LOOKUP_DCOOKIE_NO 212
#define EPOLL_CREATE_NO 213
#define EPOLL_CTL_OLD_NO 214
#define EPOLL_WAIT_OLD_NO 215
#define REMAP_FILE_PAGES_NO 216
#define GETDENTS_NO64 217
#define SET_TID_ADDRESS_NO 218
#define RESTART_SYSCALL_NO 219
#define SEMTIMEDOP_NO 220
#define FADVISE_NO64 221
#define TIMER_CREATE_NO 222
#define TIMER_SETTIME_NO 223
#define TIMER_GETTIME_NO 224
#define TIMER_GETOVERRUN_NO 225
#define TIMER_DELETE_NO 226
#define CLOCK_SETTIME_NO 227
#define CLOCK_GETTIME_NO 228
#define CLOCK_GETRES_NO 229
#define CLOCK_NANOSLEEP_NO 230
#define EXIT_GROUP_NO 231
#define EPOLL_WAIT_NO 232
#define EPOLL_CTL_NO 233
#define TGKILL_NO 234
#define UTIMES_NO 235
#define VSERVER_NO 236
#define MBIND_NO 237
#define SET_MEMPOLICY_NO 238
#define GET_MEMPOLICY_NO 239
#define MQ_OPEN_NO 240
#define MQ_UNLINK_NO 241
#define MQ_TIMEDSEND_NO 242
#define MQ_TIMEDRECEIVE_NO 243
#define MQ_NOTIFY_NO 244
#define MQ_GETSETATTR_NO 245
#define KEXEC_LOAD_NO 246
#define WAITID_NO 247
#define ADD_KEY_NO 248
#define REQUEST_KEY_NO 249
#define KEYCTL_NO 250
#define IOPRIO_SET_NO 251
#define IOPRIO_GET_NO 252
#define INOTIFY_INIT_NO 253
#define INOTIFY_ADD_WATCH_NO 254
#define INOTIFY_RM_WATCH_NO 255
#define MIGRATE_PAGES_NO 256
#define OPENAT_NO 257
#define MKDIRAT_NO 258
#define MKNODAT_NO 259
#define FCHOWNAT_NO 260
#define FUTIMESAT_NO 261
#define NEWFSTATAT_NO 262
#define UNLINKAT_NO 263
#define RENAMEAT_NO 264
#define LINKAT_NO 265
#define SYMLINKAT_NO 266
#define READLINKAT_NO 267
#define FCHMODAT_NO 268
#define FACCESSAT_NO 269
#define PSELECT_NO6 270
#define PPOLL_NO 271
#define UNSHARE_NO 272
#define SET_ROBUST_LIST_NO 273
#define GET_ROBUST_LIST_NO 274
#define SPLICE_NO 275
#define TEE_NO 276
#define SYNC_FILE_RANGE_NO 277
#define VMSPLICE_NO 278
#define MOVE_PAGES_NO 279
#define UTIMENSAT_NO 280
#define EPOLL_PWAIT_NO 281
#define SIGNALFD_NO 282
#define TIMERFD_CREATE_NO 283
#define EVENTFD_NO 284
#define FALLOCATE_NO 285
#define TIMERFD_SETTIME_NO 286
#define TIMERFD_GETTIME_NO 287
#define ACCEPT_NO4 288
#define SIGNALFD_NO4 289
#define EVENTFD_NO2 290
#define EPOLL_CREATE_NO1 291
#define DUP_NO3 292
#define PIPE_NO2 293
#define INOTIFY_INIT_NO1 294
#define PREADV_NO 295
#define PWRITEV_NO 296
#define RT_TGSIGQUEUEINFO_NO 297
#define PERF_EVENT_OPEN_NO 298
#define RECVMMSG_NO 299
#define FANOTIFY_INIT_NO 300
#define FANOTIFY_MARK_NO 301
#define PRLIMIT_NO64 302
#define NAME_TO_HANDLE_AT_NO 303
#define OPEN_BY_HANDLE_AT_NO 304
#define CLOCK_ADJTIME_NO 305
#define SYNCFS_NO 306
#define SENDMMSG_NO 307
#define SETNS_NO 308
#define GETCPU_NO 309
#define PROCESS_VM_READV_NO 310
#define PROCESS_VM_WRITEV_NO 311
#define KCMP_NO 312
#define FINIT_MODULE_NO 313
#define SCHED_SETATTR_NO 314
#define SCHED_GETATTR_NO 315
#define RENAMEAT_NO2 316
#define SECCOMP_NO 317
#define GETRANDOM_NO 318
#define MEMFD_CREATE_NO 319
#define KEXEC_FILE_LOAD_NO 320
#define BPF_NO 321
#define EXECVEAT_NO 322
#define USERFAULTFD_NO 323
#define MEMBARRIER_NO 324
#define MLOCK_NO2 325
#define COPY_FILE_RANGE_NO 326
#define PREADV_NO2 327
#define PWRITEV_NO2 328
#define PKEY_MPROTECT_NO 329
#define PKEY_ALLOC_NO 330
#define PKEY_FREE_NO 331
#define STATX_NO 332
#define IO_PGETEVENTS_NO 333
#define RSEQ_NO 334
#define PIDFD_SEND_SIGNAL_NO 424
#define IO_URING_SETUP_NO 425
#define IO_URING_ENTER_NO 426
#define IO_URING_REGISTER_NO 427
#define OPEN_TREE_NO 428
#define MOVE_MOUNT_NO 429
#define FSOPEN_NO 430
#define FSCONFIG_NO 431
#define FSMOUNT_NO 432
#define FSPICK_NO 433
#define PIDFD_OPEN_NO 434
#define CLONE_NO3 435
#define CLOSE_RANGE_NO 436
#define OPENAT_NO2 437
#define PIDFD_GETFD_NO 438
#define FACCESSAT_NO2 439
#define PROCESS_MADVISE_NO 440
#define EPOLL_PWAIT_NO2 441
#define MOUNT_SETATTR_NO 442
#define QUOTACTL_FD_NO 443
#define LANDLOCK_CREATE_RULESET_NO 444
#define LANDLOCK_ADD_RULE_NO 445
#define LANDLOCK_RESTRICT_SELF_NO 446
#define MEMFD_SECRET_NO 447
#define PROCESS_MRELEASE_NO 448
#define FUTEX_WAITV_NO 449
#define SET_MEMPOLICY_HOME_NODE_NO 450

#ifdef __KERNEL__
#define SYSCALLS_LINUX_NO 451
#endif

#endif /* SYSCALLS_LINUX */
